

int N = 10;
float[] posX = new float[N];
float[] posY = new float[N];
int[] changed = new int[N];

void setup() {
  size( 600, 400 );

  for (int i=0; i<N; i++) {
    posX[i] = random( 0, width );
    posY[i] = random( 0, height );
    changed[i] = 0;
  }
}


void draw() {
  background(200);
  strokeWeight(4);

  for (int i=0; i<N; i++) {
    if ( dist( mouseX, mouseY, posX[i], posY[i]) < 25 ) {
      changed[i] = 1;
    }
    if (changed[i]==1) {
      fill(255,0,0);
    }
    else {
      fill(255);
    }  
    ellipse( posX[i], posY[i], 50, 50 );
  }
}

