
int circle_size = 70;
int box_size = 90;

int N = 3;
float[] rx = new float [N];
float[] ry = new float [N];
int[] entered = new int [N];

int px = 100;
int py = 100;

void setup() {
  size(400, 400);

  for (int i=0; i<N; i++) {
    rx[i] = random( 0, width - box_size );
    ry[i] = random( 0, height - box_size );
    entered[i] = 0;
  }

  strokeWeight(5);
}

void draw() {
  background(200);

  for (int i=0; i<N; i++) {
    
    float cx = rx[i] + box_size/2;
    float cy = ry[i] + box_size/2;
    if ( dist( cx, cy, px, py ) < (box_size - circle_size)/2 ) {
      entered[i] = 1;
    }

    if ( entered[i] == 1 ) {
      fill(255, 0, 0 );
    } 
    else {
      fill(255);
    }
    rect(rx[i], ry[i], box_size, box_size );
  }

  fill(255);
  ellipse(px, py, circle_size, circle_size );
}

void keyPressed() {
  if (keyCode==UP) {
    py-=5;
  }
  if (keyCode==DOWN) {
    py+=5;
  }
  if (keyCode==LEFT) {
    px-=5;
  }
  if (keyCode==RIGHT) {
    px+=5;
  }
}

